/**
* Place for view-reviews styles here.

MAIN
ABOUT

*/

/* MAIN */
.paragraph-reviews {
    background-color: var(--background-low-gray);
}

.paragraph-reviews__title {
    
}

.paragraph-reviews__description {
    font-size: 1.3rem;
    text-align: center;
    margin-bottom: 3rem;
}




/* VIEW */
.view-reviews__content {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 2rem;
    row-gap: 2rem;
}

.view-reviews__wrapper {
    display: grid;
    padding: 24px;
    border-radius: 14px;
    box-shadow: var(--box-shadow-base);
    grid-template-columns: 1fr auto;
    grid-template-rows: 20px 20px auto;
    position: relative;
}

.view-reviews__commons {
    grid-column: 1;
    grid-row: 1/3;
}

.view-reviews__rate {
    grid-column: 2;
    grid-row: 1;
}

.view-reviews__rate .fivestar-static-form-item > div {
    display: flex;
    column-gap: 5px;
}

.view-reviews__rate .fivestar-basic {
    display: flex;
    align-items: center;
}

.fivestar-basic div.fivestar-widget-static .star span.on {
    background: url(/sites/default/files/media/images/2025-08/star-orange_1.svg) no-repeat;
    background-size: 16px 16px;
}

.view-reviews__rate .fivestar-summary {
    margin-top: 3px;
}

.view-reviews__date {
    font-size: 1rem;
    color: var(--gray);
    grid-column: 2;
    grid-row: 2;
}

.view-reviews__text {
    grid-column: 1/-1;
    grid-row: 3;
    font-size: 1.1rem;
}

.view-reviews__event {
    grid-column: 1/-1;
    grid-row: 4;
    font-size: 0.9rem;
    background-color: var(--background-low-pink);
    padding: 5px 13px;
    border-radius: 8px;
    border: 1px solid var(--background-middle-pink);
    color: var(--red);
    width: fit-content;
    margin-bottom: 15px;
    display: flex;
    align-items: center;
    line-height: normal;
    height: fit-content;
}

/* view-reviews__author */
.view-reviews__author {
    display: grid;
    grid-template-columns: 48px 1fr;
    column-gap: 1rem;
    align-items: center;
    grid-column: 1 / -1;
}

.view-reviews__author__image {
    grid-column: 1;
    grid-row: 1/3;
    height: 48px;
    width: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--background-pink);
    color: var(--red);
    border-radius: 50%;
}

.view-reviews__author__name {
    grid-column: 2;
    grid-row: 1;
    font-size: 1.1rem;
    font-weight: bold;
    color: var(--subtitle);
}

.view-reviews__author__status {
    grid-column: 2;
    grid-row: 2;
    font-size: 1rem;
}

.view-reviews__name {
    font-size: 1.4rem;
    font-weight: 600;
}




/* paragraph-reviews__widgets */
.paragraph-reviews__widgets {
    box-shadow: var(--box-shadow-base);
    margin-top: 50px;
    border-radius: var(--border-radius);
}

.paragraph-reviews__widgets > div {
    display: flex;
    justify-content: space-around;
    padding-top: 2rem;
    padding-bottom: 2rem;
}

.paragraph-reviews__widgets > div > div > p:nth-child(1) {
    display: flex;
    justify-content: center;
}

.paragraph-reviews__widgets > div > div > p:nth-child(2) {
    font-size: 1.1rem;
}

.paragraph-reviews__widgets > div > div > p {
    margin: 0;
}

.paragraph-reviews__widgets > div > div > p > strong {
    font-size: 2.5rem;
    color: var(--red);
}

.paragraph-reviews__all-links {
    display: flex;
    justify-content: center;
}

.paragraph-reviews__all-links .page-button {
    font-size: 1rem;
    background-color: var(--red);
    border-radius: 8px;
    color: #fff;
    text-align: center;
    padding: 7px 16px;
    cursor: pointer;
}






/* ADAPTIVE */
@media (min-width: 1920px) {
}

@media (max-width: 1920px) {
    .paragraph-reviews__all-links .page-button {
        font-size: 1.1rem;
    }
    .view-reviews__text {
        font-size: 1.11rem;
    }
    .view-reviews__event {
        font-size: 1rem;
    }
    .view-reviews__author__name {
        font-size: 1.2rem;
    }
    .view-reviews__author__status {
        font-size: 1.1rem;
    }
}

@media (max-width: 1919px) {
}

@media (max-width: 1700px) {
    .paragraph-reviews__description {
        font-size: 1.4rem;
    }
    .view-reviews__author__status {
        font-size: 1.1rem;
    }
    .view-reviews__author__name {
        font-size: 1.2rem;
    }
    .view-reviews__event {
        font-size: 1rem;
    }
    .view-reviews__text {
        font-size: 1.15rem;
    }
    .paragraph-reviews__widgets > div > div > p > strong {
        font-size: 3rem;
    }
    .paragraph-reviews__widgets > div > div > p:nth-child(2) {
        font-size: 1.3rem;
    }
}

@media (max-width: 1600px) {
    .paragraph-reviews__description {
        font-size: 1.5rem;
    }
    .paragraph-reviews__all-links .page-button {
        font-size: 1.2rem;
    }
    .view-reviews__text {
        font-size: 1.25rem;
    }
    .view-reviews__event {
        font-size: 1.2rem;
    }
    .view-reviews__author__name {
        font-size: 1.3rem;
    }
    .view-reviews__author__status {
        font-size: 1.2rem;
    }
}

@media (max-width: 1440px) {
    .paragraph-reviews__description {
        font-size: 1.7rem;
    }
    .view-reviews__author__status {
        font-size: 1.3rem;
    }
    .view-reviews__author__name {
        font-size: 1.5rem;
    }
    .view-reviews__event {
        font-size: 1.1rem;
    }
    .view-reviews__text {
        font-size: 1.4rem;
    }
    .view-reviews__date {
        font-size: 1.1rem;
    }
    .paragraph-reviews__widgets > div > div > p > strong {
        font-size: 4rem;
    }
    .paragraph-reviews__widgets > div > div > p:nth-child(2) {
        font-size: 1.5rem;
    }
    .paragraph-reviews__all-links .page-button {
        font-size: 1.5rem;
    }
    .view-reviews__text {
        font-size: 1.5rem;
    }
    .view-reviews__event {
        font-size: 1.4rem;
    }
    .view-reviews__author__name {
        font-size: 1.6rem;
    }
    .view-reviews__author__status {
        font-size: 1.4rem;
    }
}

@media (max-width: 1366px) {
        
}

@media (max-width: 1200px) {
    .view-reviews__content {
        grid-template-columns: 1fr 1fr;
    }    
}

@media (max-width: 1100px) {
    
}

@media (max-width: 1024px) {

}

@media (max-width: 991px) {
    .view-reviews__content {
        grid-template-columns: 1fr 1fr;
    }
    .view-reviews__author__status {
        font-size: 1.4rem;
    }
    .view-reviews__author__name {
        font-size: 1.6rem;
    }
    .view-reviews__event {
        font-size: 1.2rem;
    }
    .view-reviews__text {
        font-size: 1.5rem;
    }
    .view-reviews__date {
        font-size: 1.3rem;
    }
    .paragraph-reviews__widgets > div > div > p:nth-child(1) {
        font-size: 1.3rem;
    }
    .paragraph-reviews__widgets > div > div > p:nth-child(2) {
        font-size: 1.7rem;
    }
}

@media (max-width: 834px) {
    
    
}

@media (max-width: 768px) {
    .view-reviews__content {
        grid-template-columns: 1fr;
    }
    .view-reviews__author__status {
        font-size: 1.5rem;
    }
    .view-reviews__author__name {
        font-size: 1.7rem;
    }
    .view-reviews__event {
        font-size: 1.3rem;
    }
    .view-reviews__text {
        font-size: 1.5rem;
    }
    .view-reviews__date {
        font-size: 1.5rem;
    }
    
}

@media (max-width: 650px) {
    
}

@media (max-width: 600px) {
    
}

@media (max-width: 550px) {
    .paragraph-reviews__widgets > div {
        flex-wrap: wrap;
        column-gap: 2rem;
        padding: 2rem;
        row-gap: 2rem;
    }
}

@media (max-width: 420px) {
    
}

@media (max-width: 410px) {
    
}

@media (max-width: 400px) {
    
}

@media (max-width: 360px) {
    
}